Package org.drinkless.tdlib

# Class TdApi.CanSendMessageToUserResultUserHasPaidMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CanSendMessageToUserResult
org.drinkless.tdlib.TdApi.CanSendMessageToUserResultUserHasPaidMessages

Enclosing class:
  `TdApi`

public static class TdApi.CanSendMessageToUserResultUserHasPaidMessages extends TdApi.CanSendMessageToUserResult
The user can be messaged, but the messages are paid.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CanSendMessageToUserResult

  `TdApi.CanSendMessageToUserResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `outgoingPaidMessageStarCount`
  Number of Telegram Stars that must be paid by the current user for each sent message to the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanSendMessageToUserResultUserHasPaidMessages()`
  The user can be messaged, but the messages are paid.
  `CanSendMessageToUserResultUserHasPaidMessages(long outgoingPaidMessageStarCount)`
  The user can be messaged, but the messages are paid.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### outgoingPaidMessageStarCount

    public long outgoingPaidMessageStarCount
    Number of Telegram Stars that must be paid by the current user for each sent message to the user.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CanSendMessageToUserResultUserHasPaidMessages

    public CanSendMessageToUserResultUserHasPaidMessages()
    The user can be messaged, but the messages are paid.

  - ### CanSendMessageToUserResultUserHasPaidMessages

    public CanSendMessageToUserResultUserHasPaidMessages(long outgoingPaidMessageStarCount)
    The user can be messaged, but the messages are paid.
    Parameters:
      `outgoingPaidMessageStarCount` - Number of Telegram Stars that must be paid by the current user for each sent message to the user.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CanSendMessageToUserResult`
    Returns:
      this.CONSTRUCTOR